//*****************************************************************************
//
// packet_handler.h
//
//
//*****************************************************************************
#ifndef __PACKET_HANDLER_H__
#define __PACKET_HANDLER_H__

#define COMMAND_PING                0x20
#define COMMAND_DOWNLOAD            0x21
#define COMMAND_RUN                 0x22
#define COMMAND_GET_STATUS          0x23
#define COMMAND_SEND_DATA           0x24
#define COMMAND_RESET               0x25

#define COMMAND_RET_SUCCESS         0x40
#define COMMAND_RET_UNKNOWN_CMD     0x41
#define COMMAND_RET_INVALID_CMD     0x42
#define COMMAND_RET_INVALID_ADDR    0x43
#define COMMAND_RET_FLASH_FAIL      0x44
#define COMMAND_ACK                 0xcc
#define COMMAND_NAK                 0x33

int AckPacket(void);
int NakPacket(void);
int GetPacket(unsigned char *pucData, unsigned char *pucSize);
int SendPacket(unsigned char *pucData, unsigned char ucSize,
               unsigned long bAck);

#endif // __PACKET_HANDLER_H__
